## org.apache.commons.collections.list
Class FixedSizeList

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.list.AbstractListDecorator
              org.apache.commons.collections.list.AbstractSerializableListDecorator
                  org.apache.commons.collections.list.FixedSizeList

All Implemented Interfaces:
  BoundedCollection, Collection, List, Serializable

public class FixedSizeList
extends AbstractSerializableListDecorator
implements BoundedCollection

Decorates another `List` to fix the size preventing add/remove.

The add, remove, clear and retain operations are unsupported. The set method is allowed (as it doesn't change the list size).

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.8 $ $Date: 2004/06/03 22:02:13 $
Author:
  Stephen Colebourne, Paul Jack
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `FixedSizeList(List list)` Constructor that wraps (not copies).

Method Summary
`void` `add(int index, Object object)`
`boolean` `add(Object object)`
`boolean` `addAll(Collection coll)`
`boolean` `addAll(int index, Collection coll)`
`void` `clear()`
`static List` `decorate(List list)` Factory method to create a fixed size list.
`Object` `get(int index)`
`int` `indexOf(Object object)`
`boolean` `isFull()` Returns true if this collection is full and no new elements can be added.
`Iterator` `iterator()`
`int` `lastIndexOf(Object object)`
`ListIterator` `listIterator()`
`ListIterator` `listIterator(int index)`
`int` `maxSize()` Gets the maximum size of the collection (the bound).
`Object` `remove(int index)`
`boolean` `remove(Object object)`
`boolean` `removeAll(Collection coll)`
`boolean` `retainAll(Collection coll)`
`Object` `set(int index, Object object)`
`List` `subList(int fromIndex, int toIndex)`

Methods inherited from class org.apache.commons.collections.list.AbstractListDecorator
`getList`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`contains, containsAll, equals, getCollection, hashCode, isEmpty, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`contains, containsAll, equals, hashCode, isEmpty, size, toArray, toArray`

Methods inherited from interface java.util.List
`contains, containsAll, equals, hashCode, isEmpty, size, toArray, toArray`

Constructor Detail

### FixedSizeList

    protected FixedSizeList(List list)

  Constructor that wraps (not copies).

Parameters:
  `list` - the list to decorate, must not be null
Throws:
  `IllegalArgumentException` - if list is null

Method Detail

### decorate

    public static List decorate(List list)

  Factory method to create a fixed size list.

  Parameters:
    `list` - the list to decorate, must not be null
  Throws:
    `IllegalArgumentException` - if list is null

### add

    public boolean add(Object object)

  Specified by:
    `add` in interface `Collection`
  Overrides:
    `add` in class `AbstractCollectionDecorator`

### add

    public void add(int index,
                    Object object)

  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `AbstractListDecorator`

### addAll

    public boolean addAll(Collection coll)

  Specified by:
    `addAll` in interface `Collection`
  Overrides:
    `addAll` in class `AbstractCollectionDecorator`

### addAll

    public boolean addAll(int index,
                          Collection coll)

  Specified by:
    `addAll` in interface `List`
  Overrides:
    `addAll` in class `AbstractListDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Overrides:
    `clear` in class `AbstractCollectionDecorator`

### get

    public Object get(int index)

  Specified by:
    `get` in interface `List`
  Overrides:
    `get` in class `AbstractListDecorator`

### indexOf

    public int indexOf(Object object)

  Specified by:
    `indexOf` in interface `List`
  Overrides:
    `indexOf` in class `AbstractListDecorator`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Collection`
  Overrides:
    `iterator` in class `AbstractCollectionDecorator`

### lastIndexOf

    public int lastIndexOf(Object object)

  Specified by:
    `lastIndexOf` in interface `List`
  Overrides:
    `lastIndexOf` in class `AbstractListDecorator`

### listIterator

    public ListIterator listIterator()

  Specified by:
    `listIterator` in interface `List`
  Overrides:
    `listIterator` in class `AbstractListDecorator`

### listIterator

    public ListIterator listIterator(int index)

  Specified by:
    `listIterator` in interface `List`
  Overrides:
    `listIterator` in class `AbstractListDecorator`

### remove

    public Object remove(int index)

  Specified by:
    `remove` in interface `List`
  Overrides:
    `remove` in class `AbstractListDecorator`

### remove

    public boolean remove(Object object)

  Specified by:
    `remove` in interface `Collection`
  Overrides:
    `remove` in class `AbstractCollectionDecorator`

### removeAll

    public boolean removeAll(Collection coll)

  Specified by:
    `removeAll` in interface `Collection`
  Overrides:
    `removeAll` in class `AbstractCollectionDecorator`

### retainAll

    public boolean retainAll(Collection coll)

  Specified by:
    `retainAll` in interface `Collection`
  Overrides:
    `retainAll` in class `AbstractCollectionDecorator`

### set

    public Object set(int index,
                      Object object)

  Specified by:
    `set` in interface `List`
  Overrides:
    `set` in class `AbstractListDecorator`

### subList

    public List subList(int fromIndex,
                        int toIndex)

  Specified by:
    `subList` in interface `List`
  Overrides:
    `subList` in class `AbstractListDecorator`

### isFull

    public boolean isFull()

  Description copied from interface: `BoundedCollection`
  Returns true if this collection is full and no new elements can be added.

  Specified by:
    `isFull` in interface `BoundedCollection`
  Returns:
    `true` if the collection is full

### maxSize

    public int maxSize()

  Description copied from interface: `BoundedCollection`
  Gets the maximum size of the collection (the bound).

  Specified by:
    `maxSize` in interface `BoundedCollection`
  Returns:
    the maximum number of elements the collection can hold

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.